Catalog routes
Generated from openapi.yaml of games-api 0.7.0: 2 routes.
GET /v1/catalog/{site}: Full catalog of a siteGET /v1/catalog/{site}/games/{slug}: One game of a site
GET /v1/catalog/{site}
curl 'https://api.filudi.com/v1/catalog/filudi'const response = await fetch('https://api.filudi.com/v1/catalog/filudi');const data = await response.json();import requests
response = requests.get('https://api.filudi.com/v1/catalog/filudi')response.raise_for_status()data = response.json()Full catalog of a site
Credential: none. The route is public.
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
site | path | string | yes | Site slug |
locale | query | string | no | Returns texts for one locale only; default returns every locale of the site |
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
| 200 | Catalog | Catalog. Headers: Cache-Control, ETag. |
| 304 | none | Not modified. |
| 404 | Error | Unknown resource. |
GET /v1/catalog/{site}/games/{slug}
curl 'https://api.filudi.com/v1/catalog/filudi/games/gloop'const response = await fetch('https://api.filudi.com/v1/catalog/filudi/games/gloop');const data = await response.json();import requests
response = requests.get('https://api.filudi.com/v1/catalog/filudi/games/gloop')response.raise_for_status()data = response.json()One game of a site
Credential: none. The route is public.
Parameters
Section titled “Parameters”| Name | In | Type | Required | Description |
|---|---|---|---|---|
site | path | string | yes | Site slug |
slug | path | string | yes |
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
| 200 | CatalogGame | Game. |
| 404 | Error | Unknown resource. |